PR(1)

NAZWA
pr - konwertuje pliki tekstowe do drukowania

SKŁADNIA
pr [OPCJA]... [PLIK]...

OPIS

Dzieli lub układa w kolumny PLIK(I) do drukowania.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

+PIERWSZA-STRONA[:OSTATNIA-STRONA], --pages=PIERWSZA-STRONA[:OSTATNIA-STRONA]
    rozpoczyna [kończy] drukowanie od PIERWSZEJ-[OSTATNIEJ-]STRONY

-KOLUMNY, --columns=KOLUMNY
    wyświetla wyjście w danej liczbie KOLUMN i wypełnia je pionowo, chyba że użyto opcji -a. Dopasowuje liczbę wierszy w kolumnach do każdej strony

-a, --across
    wypełnia kolumny w poprzek, nie w dół; używane razem z opcją -KOLUMNY

-c, --show-control-chars
    używa notacji z daszkiem ^ (np. ^G) i notacji ósemkowej z odwrotnym ukośnikiem

-d, --double-space
    używa podwójnych odstępów między wierszami wyjścia

-D, --date-format=FORMAT
    używa daty w nagłówku w podanym FORMACIE

-e[ZNAK[SZEROKOŚĆ]], --expand-tabs[=ZNAK[SZEROKOŚĆ]]
    rozwija wejściowe ZNAKI (lub tabulację) do szerokości tabulacji SZEROKOŚĆ (domyślnie 8)

-F, -f, --form-feed
    używa znaku końca strony zamiast nowego wiersza do oddzielania stron (przez trzywierszowy nagłówek z opcją -F lub pięciowierszowy nagłówek i stopkę bez opcji -F)

-h, --header=NAGŁÓWEK
    w nagłówku strony używa wyśrodkowanego NAGŁÓWKA zamiast nazwy pliku, -h "" wyświetla pusty wiersz, proszę nie używać -h""

-i[ZNAK[SZEROKOŚĆ]], --output-tabs[=ZNAK[SZEROKOŚĆ]]
    zastępuje spacje ZNAKAMI (lub tabulatorami) do SZEROKOŚCI (domyślnie 8)

-J, --join-lines
    scala pełne wiersze, wyłącza obcinanie wierszy przez -W, nie wykonuje wyrównania kolumn; --sep-string[=ŁAŃCUCH] ustawia separatory

-l, --length=DŁUGOŚĆ-STRONY
    ustawia długość strony na liczbę wierszy podanych w DŁUGOŚCI-STRONY (domyślna wartość przy podaniu tej opcji to 66, a bez niej 56 lub, z opcją -F, 63). DŁUGOŚĆ-STRONY <=10 implikuje -t

-m, --merge
    wyświetla wszystkie pliki równolegle, każdy w swojej kolumnie, przycina wiersze, ale łączy wiersze pełnej długości z opcją -J

-n[SEPARATOR[CYFRY]], --number-lines[=SEPARATOR[CYFRY]]
    numeruje wiersze, używa liczby CYFR (lub 5), następnie SEPARATORA (lub tabulatora), domyślnie liczy od pierwszego wiersza pliku wejściowego

-N, --first-line-number=NUMER
    zaczyna numerację pierwszego wiersza pierwszej wynikowej strony od NUMERU (patrz też +PIERWSZA-STRONA)

-o, --indent=MARGINES
    przesuwa całą stronę o MARGINES (domyślnie zero) spacji, nie wpływa na -w ani -W; MARGINES jest dodawany do SZEROKOŚCI-STRONY

-r, --no-file-warnings
    nie wypisuje ostrzeżeń, jeśli nie można otworzyć pliku

-s[ZNAK], --separator[=ZNAK]
    oddziela kolumny pojedynczym znakiem, domyślnie, bez opcji -w ZNAKIEM jest tabulator, a z -w "brak znaku". -s[ZNAK] wyłącza obcinanie wierszy we wszystkich trzech opcjach kolumn -KOLUMNA, -a -KOLUMNA, -m, z wyjątkiem przypadku, gdy ustawiona jest opcja -w

-S[ŁAŃCUCH], --sep-string[=ŁAŃCUCH]
    oddziela kolumny ŁAŃCUCHEM, bez -S: domyślnym separatorem jest tabulator z opcją -J lub spacja w przeciwnym wypadku (równoważne -S""), nie ma wpływu na opcje dotyczące kolumn

-t, --omit-header
    pomija nagłówek i stopkę strony; włączane również gdy DŁUGOŚĆ-STRONY <=10

-T, --omit-pagination
    pomija nagłówki i stopki, ignoruje formatowanie stron przez znaki nowej strony w plikach wejściowych

-v, --show-nonprinting
    używa ósemkowej notacji z odwrotnym ukośnikiem

-w, --width=SZEROKOŚĆ-STRONY
    ustawia szerokość strony na SZEROKOŚĆ-STRONY znaki (domyślnie 72), tylko dla wyjścia wielokolumnowego; -s[ZNAK] wyłącza wartość domyślną (72)

-W, --page-width=SZEROKOŚĆ-STRONY
    ustawia zawsze szerokość strony na SZEROKOŚĆ-STRONY znaków (domyślnie 72), z wyjątkiem podania opcji -J; nie oddziaływa z opcjami -S ani -s

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez Pete'a TerMaata i Rolanda Huebnera.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu pr proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/pr>
lub lokalnie, za pomocą info '(coreutils) pr invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.